[Overview][Classes][Procedures and functions][Index] | Reference for unit 'UTF8Process' (#lcl)

# TProcessUTF8

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: utf8process.pp line 36

`type TProcessUTF8 = class(TProcess)`
`public`
`constructor Create(); override;` |  |
`destructor Destroy; override;` |  |
`procedure Execute; override;` |  |
`property ApplicationName: String; [rw]` |  |
`property CommandLine: String; [rw]` |  |
`property ConsoleTitle: String; [rw]` |  |
`property CurrentDirectory: String; [rw]` |  |
`property Desktop: String; [rw]` |  |
`property Environment: TStrings; [rw]` |  |
`end;`

## Inheritance

`TProcessUTF8` |  |
`TProcess`
`TComponent,IUnknown,IInterfaceComponentReference`
`TPersistent`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.